/**
 * \file
 * \author Matthias Riedl
 * \brief covers the functionality of a limits checker
 * \verbatim
 * $id
 * \endverbatim
 */

//compiler
#include "stdafx.h"
#include <stdio.h>

// std

// own
#include "limits_alarm.h"

int main(int argc, char* argv[])
{
  // one object for limits checking
  limits_alarm alert;

  // setting the inputs
  alert.m_h = 5.0;
  alert.m_l = 3.0;
  alert.m_eps = 0.5;

  // calling the algorithm of the FB
  alert.en();

  // eval the result
  if (!alert.m_q)
  {
    if (alert.m_qh)
      printf("Value exceeds the high limit\n");
    else
      printf("Value falls below the low limit\n");  
  } // if
  else
    printf("Value is inside the limits\n");

	return 0;
} // main
