/**
 * \file
 * \author Matthias Riedl
 * \brief covers the functionality of a hysteresis FB
 * \verbatim
 * $id
 * \endverbatim
 */

#ifndef __HYSTERESIS_H
#define __HYSTERESIS_H

//com

//std

// own
#include "fb.h"

class hysteresis: public fb
{
  // no copy or assignment operations
  hysteresis(const hysteresis& obj);
  hysteresis& operator=(const hysteresis& obj);
public:
	/** \name Construct/Destructor */
	//! \{
  	/**
   	 * Constructor
	 */
	hysteresis();
	/**
	 * Destructor
	 */
	virtual ~hysteresis();
	//! \}

	/**
	 * Perfoms the algorithm of the function block
	 */
	virtual void 	en();
	
	float	m_xin1; /**< input xin1 */
	float	m_xin2; /**< input xin2 */
	float	m_eps; /**< confidential interval */

	bool	m_q; /**< output; true - values are inside the confidence interval */
};

#endif  //__HYSTERESIS_H
